org.apache.http.auth

## Class AUTH

- java.lang.Object
- - org.apache.http.auth.AUTH

-     public final class AUTH
      extends Object

  Constants and static helpers related to the HTTP authentication.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROXY_AUTH` The proxy authenticate challange header.
    `static String` | `PROXY_AUTH_RESP` The proxy authenticate response header.
    `static String` | `WWW_AUTH` The www authenticate challange header.
    `static String` | `WWW_AUTH_RESP` The www authenticate response header.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WWW_AUTH

          public static final String WWW_AUTH

      The www authenticate challange header.
      See Also:
        Constant Field Values

    - #### WWW_AUTH_RESP

          public static final String WWW_AUTH_RESP

      The www authenticate response header.
      See Also:
        Constant Field Values

    - #### PROXY_AUTH

          public static final String PROXY_AUTH

      The proxy authenticate challange header.
      See Also:
        Constant Field Values

    - #### PROXY_AUTH_RESP

          public static final String PROXY_AUTH_RESP

      The proxy authenticate response header.
      See Also:
        Constant Field Values

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.